Skip to content

updateSupplierShipping

WRITE

Update supplier shipping.

POST /api/v1/purchasing/updateSupplierShipping
curl -X POST '<your-host>/api/v1/purchasing/updateSupplierShipping' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "supplierId": "string"
  }'

Parameters

ParameterType
min length 1
"EXW""FCA""FAS""FOB""CPT""CIP""CFR""CIF""DAP""DPU""DDP"

Input schema

schema
{
  "type": "object",
  "properties": {
    "supplierId": {
      "type": "string",
      "minLength": 1
    },
    "shippingSupplierId": {
      "type": "string"
    },
    "shippingSupplierLocationId": {
      "type": "string"
    },
    "shippingSupplierContactId": {
      "type": "string"
    },
    "shippingMethodId": {
      "type": "string"
    },
    "incoterm": {
      "type": "string",
      "enum": [
        "EXW",
        "FCA",
        "FAS",
        "FOB",
        "CPT",
        "CIP",
        "CFR",
        "CIF",
        "DAP",
        "DPU",
        "DDP"
      ]
    },
    "incotermLocation": {
      "type": "string"
    },
    "customFields": {}
  },
  "required": [
    "supplierId"
  ]
}